Package org.gradle.ide.visualstudio.tasks

# Class GenerateFiltersFileTask.FiltersSpec

java.lang.Object
org.gradle.ide.visualstudio.tasks.GenerateFiltersFileTask.FiltersSpec

Enclosing class:
  `GenerateFiltersFileTask`

@Incubating protected static class GenerateFiltersFileTask.FiltersSpec extends Object
The data to use to generate the filters file.

Since:
  8.11

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Action<? super XmlProvider>>`
  `getActions()`
  Additional XML generation actions.
  `Provider<Set<String>>`
  `getHeaderFilesPaths()`
  The header files to include in the filter.
  `Provider<Set<String>>`
  `getSourceFilePaths()`
  The source files to include in the filter.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getSourceFilePaths

    @Input @Incubating public Provider<Set<String>> getSourceFilePaths()
    The source files to include in the filter.
    Since:
      8.11

  - ### getHeaderFilesPaths

    @Input @Incubating public Provider<Set<String>> getHeaderFilesPaths()
    The header files to include in the filter.
    Since:
      8.11

  - ### getActions

    @Incubating public List<Action<? super XmlProvider>> getActions()
    Additional XML generation actions.
    Since:
      8.11